Bug 1128231 - RFE: frontend user interface like koji
Summary: RFE: frontend user interface like koji
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Valentin Gologuzov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 16:07 UTC by Parag Nemade
Modified: 2015-12-01 06:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 14:50:55 UTC


Attachments (Terms of Use)

Description Parag Nemade 2014-08-08 16:07:33 UTC
Description of problem:

Can it be possible to have copr user interface showing all the recently submitted builds per row with information like we have on koji. Following are columns that we should include.

Build Id    NVR     Finished date    State of build   Project link 

Here project link to quickly jump to project page to download repo files.

Comment 1 Valentin Gologuzov 2014-08-18 14:38:05 UTC
I've added a new page. Here on dev instance:
http://copr-fe-dev.cloud.fedoraproject.org/recent/

Comment 2 Parag Nemade 2014-08-18 15:08:48 UTC
Thanks for quick work. Can it be possible to provide recent builds information for users also. when they login to copr they should get their own recent builds but when  not logged in all the recent builds done on copr.

Also, Finished column should show when the build got completed time not how log ago it got completed.

Comment 3 Valentin Gologuzov 2014-08-21 15:35:28 UTC
Updated on the dev instance, http://copr-fe-dev.cloud.fedoraproject.org/recent/ .
For logged in users I decided to show both tables: with owned projects and with all projects.

Comment 4 Parag Nemade 2014-08-22 04:35:51 UTC
Thank you very much for implementing above. I think what I needed is now fixed on dev instance. So you can resolve this bug when this gets deployed on production server.

Comment 5 Miroslav Suchý 2014-09-29 14:50:55 UTC
Should be in production now.


Note You need to log in before you can comment on or make changes to this bug.